Bug 1956657

Summary: [Assisted-4.7] [Staging][OCS] replace MiB unit with GiB when host ocs-requirements-satisfied fails
Product: OpenShift Container Platform Reporter: Lital Alon <lalon>
Component: assisted-installerAssignee: Rewant <resoni>
assisted-installer sub component: OCS Plugin QA Contact: Lital Alon <lalon>
Status: CLOSED NOTABUG Docs Contact:
Severity: high    
Priority: unspecified CC: aos-bugs, lgamliel, resoni, yobshans
Version: 4.7   
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-06-08 09:48:16 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
example none

Description Lital Alon 2021-05-04 07:51:50 UTC
Created attachment 1779241 [details]
example

Description of problem:
When host is missing RAM, and host validation ocs-requirements-satisfied fails - message contain MiB unit instead of GiB

See attached example

Version-Release number of selected component (if applicable):
OCP-Metal-V1.0.19.3


Steps to Reproduce:
1. Boot nodes with low RAM resources, and wait for host validation failure: ocs-requirements-satisfied

Actual results:
message contain MiB

Expected results:
message should contain GiB

Comment 1 Rewant 2021-05-04 09:56:14 UTC
Waiting for https://github.com/openshift/assisted-service/pull/1601 to be merged

Comment 3 Lital Alon 2021-06-01 09:33:05 UTC
Its now show Gib units as expected. 
However, although it wasn't originally asked in the bug, its better to display decimal number than int

Comment 4 Rewant 2021-06-08 09:48:16 UTC
ValidateHost no longer Validates RAM/CPU requirements it is being handled by the GetHostRequirements